﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _1027239
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        BindingList<Dictionary<string, object>> models = new BindingList<Dictionary<string, object>>();
        List<string> keys = new List<string>();
        public RadForm1()
        {
            InitializeComponent();

            string[] names = new string[] { "ROOT", "Mark", "Piet", "Herre", "Ronald", "John", "Michael" };
            Random rand = new Random();

            for (int i = 0; i < 1000; i++)
            {
                Dictionary<string, object> row = new Dictionary<string, object>();

                row["Id"] = i + 1;
                row["Name"] = names[rand.Next(names.Length)];
                row["Age"] = rand.Next(100);
                row["Active"] = false;

                models.Add(row);
            }

            radVirtualGrid1.ColumnCount = models[0].Count;
            radVirtualGrid1.RowCount = models.Count;

            radVirtualGrid1.CellValueNeeded += RadVirtualGrid1_CellValueNeeded;
            foreach (var item in models[0])
            {
                keys.Add(item.Key);
            }
        }
        
               
    
        private void RadVirtualGrid1_CellValueNeeded(object sender, Telerik.WinControls.UI.VirtualGridCellValueNeededEventArgs e)
        {
            if (e.RowIndex >=0 && e.ColumnIndex >= 0)
            {
                e.Value = models[e.RowIndex][keys[e.ColumnIndex]];
            }
        }

        private void radButton1_Click(object sender, EventArgs e)
        {

        }
    }
    
}
